// Quake III Arena
// Modification: Weapons Factory Arena
// Map Name: C Bases
// Author: William Chang (aka: DieHard)
//
// Last Modified: 9/30/2002
//
textures/common/h20nodraw
{
	qer_editorimage textures/common/h20nodraw.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}
textures/wfa_cbases/ik_sky_day
{
	// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
	// color will be normalized, so it doesn't matter what range you use
	// intensity falls off with angle but not distance 100 is a fairly bright sun
	// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
	qer_editorimage textures/wfa_cbases/ik_sky_day_back.tga
	q3map_lightimage textures/wfa_cbases/ik_sky_day_front.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 115
	// q3map_lightsubdivide 128
	q3map_sun 1 0.9 0.7 160 240 90
	// GenSurf q3map_sun 1.000000 1.000000 1.000000 200 0 90
	// GenSurf q3map_surfacelight 150
	skyparms - 512 -
	{
		map textures/wfa_cbases/ik_sky_day_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/wfa_cbases/ik_sky_day_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 1 1
		tcMod scroll 0.015 0.015
	}
}
textures/wfa_cbases/blacksky_1
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 25
	q3map_lightsubdivide 512
	q3map_sun 1 1 1 32 90 90
	{
		map gfx/colors/black.tga
	}
}
// ------------------------------------------
// sky shader, uses a solid background color
// then cloud layer
// then masked off horizon line
// ------------------------------------------
//
// Apply to Worldspawn:
// Key: vertexremapshader0
// Value: textures/wfa_cbases/sky;textures/wfa_cbases/sky_vx
//
textures/wfa_cbases/sky
{
	qer_editorimage textures/wfa_cbases/sky_arc_masked.tga
	
	q3map_lightsubdivide 768
	q3map_surfacelight 104
	q3map_backsplash 0 0
	
	q3map_sun 1 0.9 0.7 160 0 90
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/wfa_cbases/env/sky 512 -
	
	nopicmip
	nomipmaps
	
	//{
	//	map textures/wfa_cbases/sky_clouds.tga
	//	tcMod scale 3 3
	//	tcMod scroll 0.005 -0.0125
	//	rgbGen identityLighting
	//}
	{
		map textures/wfa_cbases/ik_sky_day_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		rgbGen identityLighting
	}
	{
		clampmap textures/wfa_cbases/sky_arc_masked.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}
textures/wfa_cbases/sky_vx
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/wfa_cbases/env/sky 512 -
	
	nopicmip
	nomipmaps
	
	{
		clampmap textures/wfa_cbases/sky_arc_masked.tga
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}
// ------------------------------------------
// End of Sky Shader
// ------------------------------------------
// ------------------------------------------
// Sky-portal skies
// ------------------------------------------
textures/wfa_cbases/blacksky_portal2
{
	qer_editorimage textures/common/skyportal.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 25
	q3map_lightsubdivide 512
	q3map_sun 1 1 1 150 240 90
	q3map_bounce 0
	q3map_backsplash 0 0
	surfaceparm sky
	{
		map textures/common/sky_portal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}
// ------------------------------------------
// End of Sky Shader
// ------------------------------------------
textures/wfa_cbases/pureblack
{
	qer_editorimage textures/skies/blacksky.tga
	//surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/skies/blacksky.tga
	}
}
textures/wfa_cbases/water_1
{
	// qer_editorimage textures/liquids/pool3d_5e.tga
	qer_editorimage textures/wfa_cbases/brwater.tga
	// qer_trans .5
	// q3map_lightimage textures/liquids/pool3d_3e.tga
	q3map_lightimage textures/wfa_cbases/brwater.tga
	q3map_surfacelight 30
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	// deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		// map textures/liquids/pool3d_5e.tga
		map textures/wfa_cbases/brwater.tga
		// blendFunc add
		tcmod scale .5 .5
		tcmod scroll .025 .01
		// rgbgen identity
	}
	{ 
		// White map textures/liquids/pool3d_3e.tga
		// map textures/liquids/pool3d_5e.tga
		map textures/wfa_cbases/brwater.tga
		blendfunc GL_ONE GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		// Next Test: blendfunc GL_ZERO GL_SRC_COLOR
		rgbgen identity
	}
}
textures/wfa_cbases/water_2
{
	// qer_editorimage textures/liquids/pool3d_5e.tga
	qer_editorimage textures/wfa_cbases/water1.tga
	// qer_trans .5
	// q3map_lightimage textures/liquids/pool3d_3e.tga
	q3map_lightimage textures/wfa_cbases/water1.tga
	q3map_surfacelight 30
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	// deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		// map textures/liquids/pool3d_5e.tga
		map textures/wfa_cbases/water1.tga
		// blendFunc add
		tcmod scale .5 .5
		tcmod scroll .025 .01
		// rgbgen identity
	}
	{ 
		// White map textures/liquids/pool3d_3e.tga
		// map textures/liquids/pool3d_5e.tga
		map textures/wfa_cbases/water1.tga
		blendfunc GL_ONE GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		// Next Test: blendfunc GL_ZERO GL_SRC_COLOR
		rgbgen identity
	}
}
textures/wfa_cbases/water_3
{
	// qer_editorimage textures/liquids/pool3d_5e.tga
	qer_editorimage textures/wfa_cbases/water2.tga
	// qer_trans .5
	// q3map_lightimage textures/liquids/pool3d_3e.tga
	q3map_lightimage textures/wfa_cbases/water2.tga
	q3map_surfacelight 30
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	// deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		// map textures/liquids/pool3d_5e.tga
		map textures/wfa_cbases/water2.tga
		// blendFunc add
		tcmod scale .5 .5
		tcmod scroll .025 .01
		// rgbgen identity
	}
	{ 
		// White map textures/liquids/pool3d_3e.tga
		// map textures/liquids/pool3d_5e.tga
		map textures/wfa_cbases/water2.tga
		blendfunc GL_ONE GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		// Next Test: blendfunc GL_ZERO GL_SRC_COLOR
		rgbgen identity
	}
}
textures/wfa_cbases/lavahellflat_blue
{
	qer_editorimage textures/wfa_cbases/lavahell_blue.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 100
	cull disable
	tesssize 128
	{
		map textures/wfa_cbases/lavahell_blue.tga
		tcMod turb 0 .2 0 .1
	}
}
textures/wfa_cbases/lavahellflat_red
{
	qer_editorimage textures/wfa_cbases/lavahell_red.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 100
	cull disable
	tesssize 128
	{
		map textures/wfa_cbases/lavahell_red.tga
		tcMod turb 0 .2 0 .1
	}
}
textures/wfa_cbases/floor05_snd
{
	qer_editorimage textures/wfa_cbases/floor05.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_cbases/floor05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/wfa_cbases/ik_floor_met1d_blue_snd
{
	qer_editorimage textures/wfa_cbases/ik_floor_met1d.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_cbases/ik_floor_met1d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/wfa_cbases/ik_floor_met1c_red_snd
{
	qer_editorimage textures/wfa_cbases/ik_floor_met1c.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_cbases/ik_floor_met1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/wfa_cbases/glass_blue
{
	qer_editorimage textures/effects/tinfx2.tga
	qer_trans 0.5
        surfaceparm trans
	cull none
        {
		map textures/effects/tinfx2.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/wfa_cbases/blue_dark.tga
		blendFunc add
	}
}
textures/wfa_cbases/glass_red
{
	qer_editorimage textures/effects/tinfx2.tga
	qer_trans 0.5
        surfaceparm trans
	cull none
        {
		map textures/effects/tinfx2.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/wfa_cbases/red_dark.tga
		blendFunc add
	}
}
textures/wfa_cbases/glass_tint
{
	qer_editorimage textures/effects/tinfx3.tga
	qer_trans 0.5
        surfaceparm trans
	cull none
        {
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $whiteimage
		rgbGen identity
		blendFunc filter
	}
	//{
	//	//map textures/sfx/blackness.tga
	//	map textures/wfa_cbases/tint_black.tga
	//	blendFunc add
	//}
}
textures/wfa_cbases/glass_clear
{
	qer_editorimage textures/wfa_cbases/tinfx4.tga
	qer_trans 0.5
        surfaceparm trans
	cull none
        {
		map textures/wfa_cbases/tinfx4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $whiteimage
		rgbGen identity
		blendFunc filter
	}
}
textures/wfa_cbases/logo_pic_1
{
	qer_editorimage textures/wfa_cbases/logo_pic1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/logo_pic1.tga
	}
}
textures/wfa_cbases/logo_pic_2
{
	qer_editorimage textures/wfa_cbases/logo_pic2.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/logo_pic2.tga
	}
}
textures/wfa_cbases/logo_pic_3
{
	qer_editorimage textures/wfa_cbases/logo_pic3.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/logo_pic3.tga
	}
}
textures/wfa_cbases/logo_pic_4
{
	qer_editorimage textures/wfa_cbases/logo_pic4.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/logo_pic4.tga
	}
}
textures/wfa_cbases/dark_tin2_1
{
	qer_editorimage textures/base_trim/dark_tin2.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_trim/dark_tin2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/wfa_cbases/metal_blcolumn
{
	qer_editorimage textures/ctf/test2.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf/test2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/wfa_cbases/metal_rdcolumn
{
	qer_editorimage textures/ctf/test2_r.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf/test2_r.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/wfa_cbases/pewter_shiney_1
{   
	qer_editorimage textures/base_trim/pewter_shiney.tga
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}   
	{
		map textures/base_trim/pewter_shiney.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_cbases/pewter_shiney_slick
{   
	qer_editorimage textures/base_trim/pewter_shiney.tga
	surfaceparm slick
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_cbases/pewter_blue_shiney_1
{   
	qer_editorimage textures/wfa_cbases/pewter_blue_shiney.tga
	surfaceparm metalsteps
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}   
	{
		map textures/wfa_cbases/pewter_blue_shiney.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_cbases/pewter_red_shiney_1
{   
	qer_editorimage textures/wfa_cbases/pewter_red_shiney.tga
	surfaceparm metalsteps
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}   
	{
		map textures/wfa_cbases/pewter_red_shiney.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_cbases/pewter_green_shiney_1
{   
	qer_editorimage textures/wfa_cbases/pewter_green_shiney.tga
	surfaceparm metalsteps
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}   
	{
		map textures/wfa_cbases/pewter_green_shiney.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_cbases/pewter_gold_shiney_1
{   
	qer_editorimage textures/wfa_cbases/pewter_gold_shiney.tga
	surfaceparm metalsteps
	{
		map textures/wfa_cbases/gold_env.tga
		tcGen environment
		rgbGen identity
	}   
	{
		map textures/wfa_cbases/pewter_gold_shiney.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_cbases/pewter_green_shiney_chrome_1
{
	qer_editorimage textures/wfa_cbases/pewter_green_shiney.tga
	{
		map textures/base_wall/chrome_env2.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/wfa_cbases/pewter_green_shiney.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}
textures/wfa_cbases/ctf_bluebanner_1
{
	qer_editorimage textures/ctf/ctf_blueflag.tga
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .5 .1
	surfaceparm nomarks
	cull none
        {
		map textures/ctf/ctf_blueflag.tga
		rgbGen identity
	}
        {
		map textures/effects/redflagmap.tga
		tcGen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/ctf/ctf_blueflag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
		map textures/sfx/shadow.tga
		tcGen environment 
		// blendFunc GL_ONE GL_ONE            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/wfa_cbases/ctf_redbanner_1
{
	qer_editorimage textures/ctf/ctf_redflag.tga
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	surfaceparm nomarks
	cull none
        {
		map textures/ctf/ctf_redflag.tga
		rgbGen identity
	}
        {
		map textures/effects/blueflagmap.tga
		tcGen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map textures/ctf/ctf_redflag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
		map textures/sfx/shadow.tga
		tcGen environment 
                // blendFunc GL_ONE GL_ONE            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/wfa_cbases/jaildr1_3_blue_1k
{
	qer_editorimage textures/wfa_cbases/jaildr1_3_b.tga
	surfaceparm nomarks
	q3map_backsplash 0 0
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_cbases/jaildr1_3_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wfa_cbases/jaildr1_3_b.blend.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/jaildr1_3_red_1k
{
	qer_editorimage textures/base_light/jaildr1_3.tga
	surfaceparm nomarks
	q3map_backsplash 0 0
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/jaildr1_3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/jaildr1_3.blend.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/bluemetal1b_blue
{
	qer_editorimage textures/base_wall/bluemetal1b_shiny.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/base_wall/bluemetal1b_shiny.tga
		// blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		// alphaGen lightingSpecular
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/wfa_cbases/bluemetal2_red
{
	qer_editorimage textures/base_wall/bluemetal2_shiny.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/base_wall/bluemetal2_shiny.tga
		// blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		// alphaGen lightingSpecular
		blendFunc GL_DST_COLOR GL_ZERO
	}		
}
textures/wfa_cbases/patch10_pj_lite2_6k
{
	qer_editorimage textures/base_light/patch10_pj_lite2.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	//light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/patch10_pj_lite2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/patch10_pj_lite2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/white_baslt_5k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	// light 1
	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/blue_baslt_6k
{
	qer_editorimage textures/wfa_cbases/blue_baslt.tga
	surfaceparm nomarks
	q3map_surfacelight 6000
	// light 1
	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_cbases/blue_baslt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wfa_cbases/blue_baslt_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/red_baslt_6k
{
	qer_editorimage textures/wfa_cbases/red_baslt.tga
	surfaceparm nomarks
	q3map_surfacelight 6000
	// light 1
	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_cbases/red_baslt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wfa_cbases/red_baslt_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/light1white_1_8k
{
	qer_editorimage textures/base_light/light1.tga
	q3map_lightimage textures/base_light/light1.blend.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/light1blue_1_8k
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/light1blue_1_16k
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	q3map_surfacelight 16000
	surfaceparm nomarks
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/light1blue_1_20k
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	q3map_surfacelight 16000
	surfaceparm nomarks
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/light1red_1_8k
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/light1red_1_16k
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	q3map_surfacelight 16000
	surfaceparm nomarks
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/light1red_1_20k
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	q3map_surfacelight 16000
	surfaceparm nomarks
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/proto_light_white_8k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/proto_lightmap.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}
textures/wfa_cbases/proto_light_blue_8k
{
	qer_editorimage textures/wfa_cbases/proto_light_blue.tga
	q3map_lightimage textures/wfa_cbases/proto_lightmap_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_cbases/proto_light_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/wfa_cbases/proto_lightmap_blue.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                rgbgen wave triangle 1 2 0 7
	}
}
textures/wfa_cbases/proto_light_red_8k
{
	qer_editorimage textures/wfa_cbases/proto_light_red.tga
	q3map_lightimage textures/wfa_cbases/proto_lightmap_red.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	// light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_cbases/proto_light_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/wfa_cbases/proto_lightmap_red.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                rgbgen wave triangle 1 2 0 7
	}
}
textures/wfa_cbases/beam_small_white_1
{
	qer_editorimage textures/sfx/beam.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam.tga
		tcMod Scroll .3 0
		blendFunc add
        }
}
textures/wfa_cbases/beam_white_1
{
        qer_editorimage textures/sfx/beam_1.tga
	// q3map_globaltexture
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	// surfaceparm nomipmaps
        // nopicmip
	{
		map textures/sfx/beam_1.tga
		// tcMod scale 0.5 0.5
		// tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .3 0
                blendFunc add
        }
}
textures/wfa_cbases/beam_dusty2_1
{
	qer_editorimage textures/sfx/beam_1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam_1.tga
		blendFunc add
	}
}
textures/wfa_cbases/beam_waterlight_1
{
        qer_editorimage textures/sfx/beam_waterlight.tga
	q3map_globaltexture
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
        qer_trans 0.6
	cull none
	// surfaceparm nomipmaps
        // nopicmip
	{
		map textures/sfx/beam_waterlight.tga
		//tcMod scale 0.35 0.35
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
                blendFunc add
        }
}
textures/wfa_cbases/beam_blue_1
{
	qer_editorimage textures/sfx/beam_blue4.tga
	// q3map_globaltexture
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	// surfaceparm nomipmaps
	// nopicmip
	{
		map textures/sfx/beam_blue4.tga
		// tcMod scale 0.5 0.5
		// tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .3 0
		blendFunc add
	}
}
textures/wfa_cbases/beam_red_1
{
	qer_editorimage textures/wfa_cbases/beam_red4.tga
	// q3map_globaltexture
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	// surfaceparm nomipmaps
	// nopicmip
	{
		map textures/wfa_cbases/beam_red4.tga
		// tcMod scale 0.5 0.5
		// tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .3 0
                blendFunc add
	}
}
textures/wfa_cbases/redshinymetaldoor_outside
{
	qer_editorimage textures/wfa_cbases/redmetaldoor_outside.tga
	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}
	{
		map textures/wfa_cbases/redmetaldoor_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/wfa_cbases/redsign_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
}
textures/wfa_cbases/blueshinymetaldoor_outside
{
	qer_editorimage textures/wfa_cbases/bluemetaldoor_outside.tga
	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}
	{
		map textures/wfa_cbases/bluemetaldoor_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/wfa_cbases/bluesign_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}
textures/wfa_cbases/bluemetalsupport2fline_blue
{
	qer_editorimage textures/base_wall/bluemetalsupport2fline
	q3map_backsplash 0 0
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2fline_glow.tga
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_wall/bluemetalsupport2fline_glow.tga
		blendFunc add	
		rgbGen wave sin .5 .5 0 1	
	}
}
textures/wfa_cbases/bluemetalsupport2fline_red
{
	qer_editorimage textures/base_wall/bluemetalsupport2fline
	q3map_backsplash 0 0
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2fline_glow_red.tga
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/wfa_cbases/bluemetalsupport2fline_glow_red.tga
		blendFunc add	
		rgbGen wave sin .5 .5 0 1	
	}
}
textures/wfa_cbases/xian_dm3padwall_blue
{
	qer_editorimage textures/wfa_cbases/xian_dm3padwall_qer.tga
	q3map_backsplash 0 0
	q3map_surfacelight 300
	q3map_lightimage textures/sfx/xian_dm3padwallglow.tga
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/xian_dm3padwallglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}
textures/wfa_cbases/xian_dm3padwall_red
{
	qer_editorimage textures/wfa_cbases/xian_dm3padwall_qer.tga
	q3map_backsplash 0 0
	q3map_surfacelight 300
	q3map_lightimage textures/sfx/xian_dm3padwallglow.tga
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/wfa_cbases/xian_dm3padwallglow_red.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}
textures/wfa_cbases/xmetal_wall_5b_b
{
	qer_editorimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_lightimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_backsplash 0 0
	q3map_surfacelight 50
	{
		map textures/wfa_cbases/metalfloor_wall_5b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .31	
	}
}
textures/wfa_cbases/xmetal_wall_9b_r
{
	qer_editorimage textures/wfa_cbases/metalfloor_wall_9bglow_x.tga
	q3map_lightimage textures/sfx/metalfloor_wall_9bglow.tga
	q3map_backsplash 0 0
	q3map_surfacelight 50
	{
		map textures/wfa_cbases/metalfloor_wall_5b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/wfa_cbases/metalfloor_wall_9bglow_x.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .3	
	}
}
textures/wfa_cbases/xmetal_wall_5b_b_slick
{
	qer_editorimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_lightimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_backsplash 0 0
	q3map_surfacelight 50
	surfaceparm slick
	{
		map textures/wfa_cbases/metalfloor_wall_5b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .31	
	}
}
textures/wfa_cbases/xmetal_wall_9b_r_slick
{
	qer_editorimage textures/wfa_cbases/metalfloor_wall_9bglow_x.tga
	q3map_lightimage textures/sfx/metalfloor_wall_9bglow.tga
	q3map_backsplash 0 0
	q3map_surfacelight 50
	surfaceparm slick
	{
		map textures/wfa_cbases/metalfloor_wall_5b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/wfa_cbases/metalfloor_wall_9bglow_x.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .3	
	}
}
textures/wfa_cbases/fogdense_green
{
        qer_editorimage textures/wfa_cbases/hellfog_green.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 20
	// RED: fogparms ( 1 0 0 ) 650  Original: fogparms ( 1.0 0.2 0.2 ) 650
	fogparms ( 0.5 0.7 0.6 ) 1536
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/wfa_cbases/fogdense_blue_128
{
	qer_editorimage textures/wfa_cbases/hellfog_blue.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 100
	// BLUE: fogparms ( 0 0 1 ) 650  Original: fogparms ( 0.2 0.2 1.0 ) 650
	fogparms ( 0.3 0.3 0.9 ) 128
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{	
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/wfa_cbases/fogdense_red_128
{
        qer_editorimage textures/wfa_cbases/hellfog_red.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 100
	// RED: fogparms ( 1 0 0 ) 650  Original: fogparms ( 1.0 0.2 0.2 ) 650
	fogparms ( .55 .11 .1 ) 128
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/wfa_cbases/scrolllight_white
{
	qer_editorimage textures/wfa_cbases/scrolllight_qer.tga
	q3map_lightimage textures/base_light/scrolllight.tga
	q3map_backsplash 0 0
	q3map_surfacelight 100
        {
		map $lightmap
		rgbGen identity
	}
        {
		Map textures/base_light/scrolllight.tga
		blendfunc gl_dst_color gl_zero
                rgbGen identity
	}	
        {    
		Map textures/base_light/scrolllight2.tga
		blendFunc GL_ONE GL_ONE
                tcmod scroll -1 0
	}	
        {    
      	        Map textures/base_light/scrolllight2.tga
      	        blendFunc GL_ONE GL_ONE
                tcmod scroll -2 0
        }	
}
textures/wfa_cbases/scrolllight_blue
{
	qer_editorimage textures/wfa_cbases/scrolllight_qer.tga
	q3map_lightimage textures/base_light/scrolllight.tga
	q3map_backsplash 0 0
	q3map_surfacelight 250
        {
		map $lightmap
		rgbGen identity
	}
        {
		Map textures/base_light/scrolllight.tga
		blendfunc gl_dst_color gl_zero
                rgbGen identity
	}	
        {    
		Map textures/wfa_cbases/scrolllight2_b.tga
		blendFunc GL_ONE GL_ONE
                tcmod scroll -1 0
	}	
        {    
      	        Map textures/wfa_cbases/scrolllight2_b.tga
      	        blendFunc GL_ONE GL_ONE
                tcmod scroll -2 0
        }	
}
textures/wfa_cbases/scrolllight_red
{
	qer_editorimage textures/wfa_cbases/scrolllight_qer.tga
	q3map_lightimage textures/base_light/scrolllight.tga
	q3map_backsplash 0 0
	q3map_surfacelight 250
        {
		map $lightmap
		rgbGen identity
	}
        {
		Map textures/base_light/scrolllight.tga
		blendfunc gl_dst_color gl_zero
                rgbGen identity
	}	
        {    
		Map textures/wfa_cbases/scrolllight2_r.tga
		blendFunc GL_ONE GL_ONE
                tcmod scroll -1 0
	}	
        {    
      	        Map textures/wfa_cbases/scrolllight2_r.tga
      	        blendFunc GL_ONE GL_ONE
                tcmod scroll -2 0
        }	
}
textures/wfa_cbases/spawnfloorblue_1
{
        qer_editorimage textures/wfa_cbases/spawnfloor_80.tga
	{
		map textures/sfx/proto_zzztblu2.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        clampmap textures/wfa_cbases/blocks18cgeomtrn2_80.tga
                blendFunc blend
                tcmod rotate 130
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        clampmap textures/wfa_cbases/blocks18cgeomtrn2_80.tga
		blendFunc blend
                tcmod rotate 80
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        clampmap textures/wfa_cbases/spawnfloor_80.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_cbases/spawnfloorred_1
{
        qer_editorimage textures/wfa_cbases/spawnfloor_80.tga
	{
		map textures/sfx/proto_zzztpink.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        clampmap textures/wfa_cbases/blocks18cgeomtrn2_80.tga
                blendFunc blend
                tcmod rotate 130
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        clampmap textures/wfa_cbases/blocks18cgeomtrn2_80.tga
		blendFunc blend
                tcmod rotate 80
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        clampmap textures/wfa_cbases/spawnfloor_80.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_cbases/proto_zzztblu_1
{
	qer_editorimage textures/sfx/proto_zzztblu3.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/sfx/proto_zzztblu3.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_cbases/proto_zzztred_1
{
	qer_editorimage textures/sfx/proto_zzzt.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/sfx/proto_zzzt.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}
models/mapobjects/el_jumppad/el_jumpp_rst
{
	{
		map models/mapobjects/el_jumppad/el_basefx.tga
		tcmod scale 1 1
		rgbGen vertex
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -500
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -250
	}
	{
		map models/mapobjects/el_jumppad/el_basefx2.tga
		tcmod scale 1 1
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
	}
	{
		map models/mapobjects/el_jumppad/el_jumpp_rst.tga
		blendfunc blend
		rgbGen vertex
		alphaFunc GE128
	}
}
models/mapobjects/wmlight/wmlight
{
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap
	}
	{
		map models/mapobjects/wmlight/wmlight.tga
		blendfunc filter
		rgbGen vertex
	}
	{
		map models/mapobjects/wmlight/wmlight.blend.tga
		blendfunc add
		rgbGen vertex
	}
}
models/mapobjects/el_jumppad/el_jumpp_b
{
	{
		map models/mapobjects/el_jumppad/el_basefx.tga
		tcmod scale 1 1
		rgbGen vertex
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -500
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -250
	}
	{
		map models/mapobjects/el_jumppad/el_basefx2.tga
		tcmod scale 1 1
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
	}
	{
		map models/mapobjects/el_jumppad/el_jumpp_b.tga
		blendfunc blend
		rgbGen vertex 
		alphaFunc GE128
	}
}
models/mapobjects/el_jumppad/el_jumpp_r
{
	{
		map models/mapobjects/el_jumppad/el_basefx.tga
		tcmod scale 1 1
		rgbGen vertex
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -500
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -250
	}
	{
		map models/mapobjects/el_jumppad/el_basefx2.tga
		tcmod scale 1 1
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
	}
	{
		map models/mapobjects/el_jumppad/el_jumpp_r.tga
		blendfunc blend
		rgbGen vertex 
		alphaFunc GE128
	}
}

// QuakeCon 2001 WFA Group Picture
textures/wfa_cbases/qcon_1x1_1
{
	qer_editorimage textures/wfa_cbases/qcon_1x1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_1x1.tga
	}
}
textures/wfa_cbases/qcon_1x2_1
{
	qer_editorimage textures/wfa_cbases/qcon_1x2.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_1x2.tga
	}
}
textures/wfa_cbases/qcon_1x3_1
{
	qer_editorimage textures/wfa_cbases/qcon_1x3.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_1x3.tga
	}
}
textures/wfa_cbases/qcon_1x4_1
{
	qer_editorimage textures/wfa_cbases/qcon_1x4.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_1x4.tga
	}
}
textures/wfa_cbases/qcon_1x5_1
{
	qer_editorimage textures/wfa_cbases/qcon_1x5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_1x5.tga
	}
}
textures/wfa_cbases/qcon_2x1_1
{
	qer_editorimage textures/wfa_cbases/qcon_2x1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_2x1.tga
	}
}
textures/wfa_cbases/qcon_2x2_1
{
	qer_editorimage textures/wfa_cbases/qcon_2x2.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_2x2.tga
	}
}
textures/wfa_cbases/qcon_2x3_1
{
	qer_editorimage textures/wfa_cbases/qcon_2x3.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_2x3.tga
	}
}
textures/wfa_cbases/qcon_2x4_1
{
	qer_editorimage textures/wfa_cbases/qcon_2x4.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_2x4.tga
	}
}
textures/wfa_cbases/qcon_2x5_1
{
	qer_editorimage textures/wfa_cbases/qcon_2x5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/wfa_cbases/qcon_2x5.tga
	}
}